Solid Edge Geometry Type Library
GetTorusData Method
Returns the coordinates of the point that is the center of the major circle of the referenced torus.
Returns the unit vector that is perpendicular to the plane of the major circle of the referenced torus.
Returns the radius of the major circle of the referenced torus.
Returns the radius of the minor circle of the referenced torus.
Description
Returns the surface geometry data on the referenced Torus object.
Syntax
Visual Basic
Public Sub GetTorusData( _
   ByRef CenterPoint() As Double, _
   ByRef AxisVector() As Double, _
   ByRef MajorRadius As Double, _
   ByRef MinorRadius As Double _
) 
Parameters
CenterPoint
Returns the coordinates of the point that is the center of the major circle of the referenced torus.
AxisVector
Returns the unit vector that is perpendicular to the plane of the major circle of the referenced torus.
MajorRadius
Returns the radius of the major circle of the referenced torus.
MinorRadius
Returns the radius of the minor circle of the referenced torus.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objTorus As SolidEdgeGeometry.Torus
    Dim dblCenterPoint() As Double
    Dim dblAxisVector() As Double
    Dim dblMajor As Double
    Dim dblMinor As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' creating the model object (a torus)
    If (CreateModel(objDoc) <> "") Then
        MsgBox "Error creating the model"
        Exit Sub
    End If
    ' getting the torus geometry object
    Set objTorus = objDoc.Models(1).Body.Shells(1).Faces(1).Geometry
    ' getting the torus data
    Call objTorus.GetTorusData(CenterPoint:=dblCenterPoint, AxisVector:=dblAxisVector, MajorRadius:=dblMajor, _
                               MinorRadius:=dblMinor)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTorus = Nothing
End Sub
See Also

Torus Object  | Torus Members

Send comments on this topic.